QJson - a Qt based library for mapping JSON data to QVariant objects

QJson home page

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Member Functions | List of all members
QJson::Parser Class Reference

Main class used to convert JSON data to QVariant objects. More...

`#include <parser.h>`

## Public Member Functions
QVariant | parse (QIODevice *io, bool *ok=0)
QVariant | parse (const QByteArray &jsonData, bool *ok=0)
QString | errorString () const
int | errorLine () const
void | allowSpecialNumbers (bool allowSpecialNumbers)
bool | specialNumbersAllowed () const

## Detailed Description

Main class used to convert JSON data to QVariant objects.

Definition at line 39 of file parser.h.

## Member Function Documentation

void QJson::Parser::allowSpecialNumbers | ( | bool | allowSpecialNumbers | ) |

Sets whether special numbers (Infinity, -Infinity, NaN) are allowed as an extension to the standard

Parameters

  allowSpecialNumbers | new value of whether special numbers are allowed

See also
  specialNumbersAllowed

Definition at line 119 of file parser.cpp.

int Parser::errorLine | ( |  | ) | const

This method returns line number where the error occurred

Returns
  the line number where the error occurred

See also
  errorString

Definition at line 114 of file parser.cpp.

QString Parser::errorString | ( |  | ) | const

This method returns the error message

Returns
  a QString object containing the error message of the last parse operation

See also
  errorLine

Definition at line 109 of file parser.cpp.

QVariant Parser::parse | ( | QIODevice * | io,
|  | bool * | ok = `0`
| ) |  |

Read JSON string from the I/O Device and converts it to a QVariant object

Parameters

  io | Input output device
  ok | if a conversion error occurs, *ok is set to false; otherwise *ok is set to true.

Returns
  a QVariant object generated from the JSON string

Definition at line 63 of file parser.cpp.

References yy::json_parser::parse().

Referenced by parse().

QVariant Parser::parse | ( | const QByteArray & | jsonData,
|  | bool * | ok = `0`
| ) |  |

This is a method provided for convenience.

Parameters

  jsonData | data containing the JSON object representation
  ok | if a conversion error occurs, *ok is set to false; otherwise *ok is set to true.

Returns
  a QVariant object generated from the JSON string

See also
  errorString
  errorLine

Definition at line 101 of file parser.cpp.

References parse().

bool Parser::specialNumbersAllowed | ( |  | ) | const

Returns
  whether special numbers (Infinity, -Infinity, NaN) are allowed

See also
  allowSpecialNumbers

Definition at line 123 of file parser.cpp.

The documentation for this class was generated from the following files:

- /magus/work/usr/mports/devel/qjson/work/qjson-0.8.1/src/parser.h
- /magus/work/usr/mports/devel/qjson/work/qjson-0.8.1/src/parser.cpp

| hosts this site. |  | Send comments to: QJson Developers